Mutation_Significance:
  prerequisites: ['pass = false; foreach (member : entity[getEntityType("Individual")])
      { foreach (child : member[getEntityType("Sample")]) { if (has_annotation(child,
      "tracerel__illuminaga_dnaseq__broad_mit_edu__Level_2__Mutation_Calling__maf")
      || has_annotation(child, "tracerel__illuminaga_dnaseq__genome_wustl_edu__Level_2__Mutation_Calling__maf")
      || has_annotation(child, "tracerel__solid_dna__bcm_edu__Level_2__Mutation_Calling__maf"))
      { pass = true; } } } pass;']
  root-entity: Individual_Set
  report-generating: true
  parameters:
  - {expression: individual_set_id, optional: false, name: MutSigPreprocess1.individual_set_id,
    mode: Simple_Expression}
  - {expression: hg18, optional: false, name: MutSigPreprocess1.build, mode: Literal}
  - {expression: /xchip/cga1/lawrence/capture/RefSeq_exons_hg18_june2010_fix1.txt,
    optional: false, name: MutSigPreprocess1.target_list, mode: Literal}
  - {expression: /xchip/cga1/lawrence/db/context65, optional: false, name: MutSigPreprocess1.context65_dir,
    mode: Literal}
  - {expression: /xchip/cga1/lawrence/db/context65/RefSeq_exons_hg18_june2010_terr_only.wig,
    optional: false, name: MutSigPreprocess1.context65_wig, mode: Literal}
  - {expression: /xchip/cga1/reference/mutsig_params/MutSig1.5.params.txt, optional: true,
    name: MutSigPreprocess1.paramfile, mode: Literal}
  - {expression: individuals.samples.tracerel__illuminaga_dnaseq__broad_mit_edu__Level_2__Mutation_Calling__maf,
    optional: true, name: MutSigPreprocess1.maf1, mode: Simple_Expression}
  - {expression: individuals.samples.tracerel__illuminaga_dnaseq__genome_wustl_edu__Level_2__Mutation_Calling__maf,
    optional: true, name: MutSigPreprocess1.maf2, mode: Simple_Expression}
  - {expression: individuals.samples.tracerel__solid_dna__bcm_edu__Level_2__Mutation_Calling__maf,
    optional: true, name: MutSigPreprocess1.maf3, mode: Simple_Expression}
  - {optional: true, name: MutSigPreprocess1.maf4, mode: Simple_Expression}
  - {expression: Broad, optional: true, name: MutSigPreprocess1.maflabel1, mode: Literal}
  - {expression: WashU, optional: true, name: MutSigPreprocess1.maflabel2, mode: Literal}
  - {expression: Baylor, optional: true, name: MutSigPreprocess1.maflabel3, mode: Literal}
  - {optional: true, name: MutSigPreprocess1.maflabel4, mode: Literal}
  - {expression: individuals.samples.tracerel__illuminaga_dnaseq__broad_mit_edu__Level_2__Coverage_Calculation__wig,
    optional: true, name: MutSigPreprocess1.wig1, mode: Simple_Expression}
  - {expression: individuals.samples.tracerel__illuminaga_dnaseq__genome_wustl_edu__Level_2__Coverage_Calculation__wig,
    optional: true, name: MutSigPreprocess1.wig2, mode: Simple_Expression}
  - {expression: individuals.samples.tracerel__solid_dna__bcm_edu__Level_2__Coverage_Calculation__wig,
    optional: true, name: MutSigPreprocess1.wig3, mode: Simple_Expression}
  - {optional: true, name: MutSigPreprocess1.wig4, mode: Simple_Expression}
  - {expression: individual_set_id, optional: false, name: MutSigRun3.individual_set_id,
    mode: Simple_Expression}
  - {expression: /xchip/cga1/lawrence/capture/RefSeq_exons_hg18_june2010.genelist.txt,
    optional: false, name: MutSigRun3.gene_list, mode: Literal}
  - {expression: hg18, optional: false, name: MutSigRun3.build, mode: Literal}
  - {expression: /xchip/tcga/gbm/analysis/lawrence/db/gsea_canonical_pathway_plus_HMT67.txt,
    optional: false, name: MutSigRun3.geneset_file, mode: Literal}
  - {expression: /xchip/cga1/annotation/db/cosmic/CosmicMutantExport_v48_260710_p25.tsv,
    optional: false, name: MutSigRun3.cosmic_file, mode: Literal}
  - {expression: /xchip/cga1/annotation/db/ucsc/hg18/R.mat, optional: false, name: MutSigRun3.refseq_file,
    mode: Literal}
  - {expression: /xchip/cga1/annotation/db/ucsc/hg18, optional: false, name: MutSigRun3.genome_dir,
    mode: Literal}
  - {expression: /xchip/cga1/reference/mutsig_params/MutSig1.5.params.txt, optional: true,
    name: MutSigRun3.param_file, mode: Literal}
  - {expression: '4', optional: false, name: MutSigPreprocess1.num_categories, mode: Literal}
  - {expression: '200', optional: false, name: MutSigRun3.jobcount, mode: Literal}
  - {expression: individual_set_id, optional: false, name: GDAC_MutSig_Report4.ind_set,
    mode: Simple_Expression}
  outputs:
  - {extension: sig_genes.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 1144, mode: Simple_Expression}
  - {extension: sample_sig_gene_table.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 1147, mode: Simple_Expression}
  - {extension: per_gene.coverage.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 1404, mode: Simple_Expression}
  - {extension: per_gene.mutation_counts.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 1405, mode: Simple_Expression}
  - {extension: final_analysis_set.maf, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 1545, mode: Simple_Expression}
  output-path: mutation/significance
  genepattern-lsid: urn:lsid:broadinstitute.org:cancer.genome.analysis:00423:6
